Lattice Builder Manual Software Package for Constructing Rank-1 Lattices

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Friends Modules Pages
Classes | Public Types | Public Member Functions | List of all members
LatCommon::CoordinateSets::AddCoordinate< BASE > Class Template Reference

This template class wraps any implementation of CoordinateSets and adds a specific coordinate to each coordinate sets. More...

`#include <CoordinateSets.h>`

## Classes
class | const_iterator

## Public Types
typedef BASE | Base
| Constructs a set based on `baseSets` by adding coordinate `coord` to each of the sets in `baseSets`. More...

## Public Member Functions
| AddCoordinate (const Base &base, Coordinates::value_type coord)
| Constructs a sequence of coordinate sets by adding the coordinate `coord` to each element in the base sequence `base`.
const Base & | base () const
| Returns the base sequence.
const Coordinates::value_type & | coord () const
| Returns the added coordinate.
const_iterator | begin () const
| Returns an iterator pointing to the first element in the seq.
const_iterator | end () const
| Returns an iterator pointing past the last element in the seq.

## Detailed Description

### template<typename BASE>
class LatCommon::CoordinateSets::AddCoordinate< BASE >

This template class wraps any implementation of CoordinateSets and adds a specific coordinate to each coordinate sets.

Template Parameters

  BASE | Type of coordinate sets that serves as a base.

Examples:
  tutorial/WeightedFigureOfMeritCBC.cc.

## Member Typedef Documentation

template<typename BASE >

typedef BASE LatCommon::CoordinateSets::AddCoordinate< BASE >::Base

Constructs a set based on `baseSets` by adding coordinate `coord` to each of the sets in `baseSets`.

Warning: do not use a temporary object as `baseSets`.

The documentation for this class was generated from the following file:

- latcommon/include/latcommon/CoordinateSets.h